.overlay {
  background-color: rgba(0, 0, 0, 0.5);
  overflow-y: auto;
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 999;
  outline: 0;
  text-align: center;
  padding: 0;

  &::before {
    content: ' ';
    display: inline-block;
    vertical-align: middle;
    height: 100%;
  }
}

.curtain {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}

.dialog {
  display: inline-block;
  vertical-align: middle;
  position: relative;
}
